using System.Text.Json.Serialization;
using System.Text.RegularExpressions;

namespace HermesSocketLibrary.Requests.Messages
{
    public class TTSWordFilter
    {
        public string? Id { get; set; }
        public string? Search { get; set; }
        public string? Replace { get; set; }
        [JsonIgnore]
        public Regex? Regex { get; set; }
        public bool IsRegex { get; set; }


        public TTSWordFilter()
        {
            IsRegex = true;
        }
    }
}