namespace HermesSocketLibrary.Requests.Callbacks
{
    public interface ICallbackManager<A> where A : class
    {
        string GenerateKeyForCallback(A callback);
        A? Get(string key);
        A? Take(string key);
    }
}